/*
//
//      Copyright 1992, 1993, 1994, 1995
//      Georgia Tech Research Corporation
//      All rights reserved.
//
*/
/*
* $Log: XGCList.h,v $
* Revision 0.1  1997/09/02 20:49:03  rcsg
* Initial revision
*
*/

/*
 * Header info for the client-side GC cache.
 *
 * 	Written by Sue Long <suelong@cc.gatech.edu>
 *	Clean-up by Keith Edwards <keith@cc.gatech.edu>
 *
 */

#ifndef _X_GC_LIST_H_
#define _X_GC_LIST_H_

#include <X11/Xlib.h>

typedef struct _XGCListEntry {
    GC gc;
    Display *dpy;
    struct _XGCListEntry *next;
} XGCListEntry, *XGCListPtr;

extern XGCListPtr XGCGetListHead();  
extern void XGCSetListHead(XGCListPtr);  
extern GC XGCFromGContext(Display *, GContext);  

#endif /* _X_GC_LIST_H_ */
